.results-box {
  position: relative;

  &__header {
    padding: spacer(md);
    border-bottom: $border-default;
  }

  &__toggle-btn:before {
    @extend .icon--chevron-down;
  }

  &__menu {
    background: #fff;
    width: 100%;
  }
  

  &__content-wrapper {
    padding: spacer(md);
  }


  &__content--active {
    display: block !important;
  }
}

.results-box__menu {
  display: block;
}


@include media-breakpoint-down(sm) {
  .results-box {


    &__toggle-btn {
      display: block;
      width: 100%;
      text-align: left;
      padding: spacer(sm) spacer(md);
      position: relative;
      display: flex;
      justify-content:  space-between;
      flex-direction: row-reverse;
      align-items: center;

      &:before {
       
        content: '';
        display: block;
        transform: rotateY(180deg);
        will-change: transform;
        position: relative;

      }

      &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        left: 20px;
        width: calc(100% - 40px);
        height: 3px;
        background: $color-primary;
      }
    }

    &__menu {
      padding: 0 spacer(md);
      height: 0;
      max-height: 0rem;
      overflow: hidden;
      transition: $transition-base;
      will-change: max-height ;
      position: relative;

      &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        left: 20px;
        width: calc(100% - 40px);
        height: 1px;
        background: $color-primary;
      }
      
    }

    &__tab {
      display: block;

      &:not(:last-child) {
        padding-bottom: (spacer(md) / 2);
        margin-bottom: (spacer(md) / 2);
        border-bottom: $border-default;
      }
    }

    &__content-wrapper {
      padding: spacer(md);
    }


    &__content--active {
      display: block !important;
    }
  }


  .results-box--active {

    .results-box__toggle-btn {

      &:before {
        transform: translate(-50%, 0) rotate(180deg) !important;
        right: -5px;
      }
    }

    .results-box__menu {
      padding: spacer(sm) spacer(md);
      height: auto;
      max-height: 10rem;
      overflow: hidden;
    }
  }
}


@include media-breakpoint-up(md) {
  .results-box {
    
    &__header {
      padding: spacer(lg);
      margin-bottom: 0;
    }

    &__menu {
      display: block !important;
      position: relative;
      box-shadow: none;
      margin: 0 auto;
      width:  calc( 100% - 3.2rem );
      border-bottom: $border-default;
    }
    
    &__tab {
      display: inline-block;
      position: relative;
      border-bottom: 0;
      font-size: $font-size-mlg;
      padding: spacer(sm) spacer(xs) spacer(sm) 0;
      margin-right: spacer(xs);
      
      &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0;
        height: 3px;
        transition: $transition-base;
        background: $color-primary;
        opacity: 0.3;
      }
      
      &:hover {
        
        &:after {
          width: 100%;
          opacity: 0.9;
        }
      }
      
      &--active:after {
        width: 100%;
        opacity: 1;
      }
    }
    
    &__toggle-btn {
      display: none;
    }

    &__content-wrapper {
      padding: spacer(lg);
    }
  }
}
